openapi: 3.0.3
info:
  title: 'GS GROUP API Documentation'
  description: ''
  version: 1.0.0
servers:
  -
    url: 'https://api.gs25tour.com'
tags:
  -
    name: Endpoints
    description: ''
  -
    name: 'Program Tours'
    description: "\nAPIs for managing resources"
paths:
  /v1:
    get:
      summary: ''
      operationId: getV1
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  version: 1.0.0
                  host: api.gs25tour.com
                  requestIP: 127.0.0.1
                  documents: 'https://api.gs25tour.com/docs'
                  environment: .env
                  url: 'https://booking.gs25tour.com/backend/'
                properties:
                  version:
                    type: string
                    example: 1.0.0
                  host:
                    type: string
                    example: api.gs25tour.com
                  requestIP:
                    type: string
                    example: 127.0.0.1
                  documents:
                    type: string
                    example: 'https://api.gs25tour.com/docs'
                  environment:
                    type: string
                    example: .env
                  url:
                    type: string
                    example: 'https://booking.gs25tour.com/backend/'
      tags:
        - Endpoints
      security: []
  /v1/about:
    get:
      summary: 'Display a listing of the resource.'
      operationId: displayAListingOfTheResource
      description: ''
      parameters: []
      responses:
        500:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: 'Server Error'
                properties:
                  message:
                    type: string
                    example: 'Server Error'
      tags:
        - Endpoints
      security: []
  /v1/programtours:
    get:
      summary: 'Display a listing of the program tour'
      operationId: displayAListingOfTheProgramTour
      description: ''
      parameters: []
      responses:
        500:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: 'Server Error'
                properties:
                  message:
                    type: string
                    example: 'Server Error'
      tags:
        - 'Program Tours'
      security: []
  '/v1/programtours/{programtour_pt_id}':
    get:
      summary: 'Display the specified program tour'
      operationId: displayTheSpecifiedProgramTour
      description: ''
      parameters: []
      responses:
        200:
          description: success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 2
                    code: TF-CKG3U01
                    name: 'TF-CKG3U01 ฉงชิ่ง-อู่หลง-อุทยานหลุมฟ้า-มรดกโลกหน้าผาแกะสลัก 5วัน 4คืน (3U) May-Oct 25 (ไม่ลงร้าน)'
                    highlight: "<p>#รวมค่าขึ้นลิฟต์แก้ว&nbsp;#รวมค่าระเบียงแก้ว&nbsp;#รวมนั่งรถไฟทะลุตึก<br />\r\n✅ อุทยานแห่งชาติอู่หลง ดินแดนมรดกโลก งดงามดั่งภาพวาด<br />\r\n✅ อลังการ อุทยานแห่งชาติเทียนเชิงซ่านเฉียว(หลุมฟ้า) ช่องเปิดยักษ์กลางภูผาสุดอัศจรรย์<br />\r\n✅ ตื่นตา 3 สะพานสวรรค์ มรดกโลกทางธรรมชาติระดับ 5A<br />\r\n✅ ท้าความเสียว ระเบียงแก้ว ทางเดินกระจกสูงกว่า 1,200 เมตร<br />\r\n✅ นั่งรถไฟทะลุตึกสูง 19 ชั้น ไอคอนสุดล้ำแห่งฉงชิ่ง<br />\r\n✅ ช้อปปิ้ง ตลาดหงหยาต้ง ตึกไม้โบราณสุดเจิดจรัสริมน้ำ&nbsp;<br />\r\n✅ ชมมรดกโลกผาหินแกะสลักต้าจู๋ อายุนับพันปี<br />\r\n✅ สัมผัสเสน่ห์จีนโบราณที่ เมืองสือปาที</p>"
                    startPeriod: ''
                    endPeriod: ''
                    fullprice: ''
                    price: '20999'
                    serviceFee: '0'
                    airTicketPrice: '0'
                    type: Series
                    banner: 'https://booking.tourfactory.co.th/backend/uploads/banner_68256d8b2efe7.jpg'
                    pdf: 'https://booking.tourfactory.co.th/backend/uploads/682aece4685ac.pdf'
                    word: 'https://booking.tourfactory.co.th/backend/uploads/682aece46863c.docx'
                    day: 5
                    night: 4
                    include: "<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าบัตรโดยสารโดยเครื่องบิน (ตั๋ว) ไป และ กลับพร้อมคณะ ชั้นประหยัด (ECONOMY CLASS) รวมถึงค่าภาษีสนามบินและค่าภาษีน้ำมันทุกแห่ง กรณีต้องการอัพเกรด UPGRADE ใช้วีลแชร์ (WHEEL CHAIR) หรือ เปลี่ยนแปลงบัตรโดยสาร ไม่ว่าเที่ยวใด เที่ยวหนึ่ง กรุณาติดต่อเจ้าหน้าที่ฝ่ายขาย ทางบริษัทของสงวนสิทธิ์ในการเรียกเก็บค่าใช้จ่ายตามจริงที่เกิดขึ้นกับผู้เดินทาง</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าธรรมเนียมน้ำหนักกระเป๋าสำหรับโหลดใต้ท้องเครื่องไม่เกิน 23 ก.ก. 1 ชิ้นเท่านั้น และถือขึ้นเครื่องบินได้น้ำหนักไม่เกิน 7 ก.ก. ต่อท่าน (ตามเงื่อนไขของสายการบิน)</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ภาษีมูลค่าเพิ่ม 7 % (เฉพาะค่าบริการ) และ ภาษีหัก ณ ที่จ่าย 3 % (เฉพาะค่าบริการ)</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่ารถโค้ชปรับอากาศตลอดเส้นทางตามรายการระบุ (ยังไม่รวมทิปพนักงานขับรถ)</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าเข้าชมสถานที่ตามที่ระบุในโปรแกรมท่องเที่ยว</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; มัคคุเทศก์และหัวหน้าทัวร์นำเที่ยวตลอดการเดินทาง</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าอาหาร ตามรายการที่ระบุในโปรแกรมการเดินทาง</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าโรงแรมที่พักระดับมาตรฐานตามรายการที่ระบุ (พัก 2-3 ท่าน ต่อ ห้อง กรณีพัก 3 ท่านจะเป็นเตียงเสริม 1 ท่าน) ในกรณีมีงานเทรดแฟร์ การแข่งขันกีฬา หรือ กิจกรรมอื่นๆ ที่ทำให้โรงแรมตามรายการที่ระบุเต็ม ทางบริษัทขอสงวนสิทธิ์ในการปรับเปลี่ยนโรงแรมที่พัก ทางบริษัทไม่มีนโยบายจัดคู่นอนให้กับลูกค้าที่ไม่รู้จักกันมาก่อน เช่น กรณีที่ท่านเดินทาง 1 ท่าน จำเป็นต้องชำระค่าห้องพักเดี่ยวตามที่ระบุ</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ประกันอุบัติเหตุระหว่างการเดินทาง วงเงินท่านละ 1,000,000 บาท (เงื่อนไขตามกรมธรรม์)</p>"
                    notInclude: "<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่ามินิบาร์ในห้องพัก(ถ้ามี) และค่าใช้จ่ายส่วนตัว นอกเหนือจากที่ระบุในรายการ</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าอาหารสำหรับท่านที่ทานเจ มังสวิรัติ หรืออาหารสำหรับมุสลิม</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าธรรมเนียมการเข้าชมสถานที่ของชาวต่างชาติที่เพิ่มเติมตามการจ่ายจริง</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ไม่รวมค่าธรรมเนียมในกรณีที่กระเป๋าสัมภาระที่มีน้ำหนักเกินกว่าที่สายการบินนั้นๆกำหนดหรือสัมภาระใหญ่เกินขนาดมาตรฐาน</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าธรรมเนียมการจองที่นั่งบนเครื่องบินตามความต้องการเป็นกรณีพิเศษหากสามารถทำได้ ทั้งนี้ขึ้นอยู่กับสายการบิน และ รุ่นของเครื่องบินแต่ละไฟล์ทที่ใช้บิน ซึ่งอาจเปลี่ยนแปลงได้อยู่ที่สายการบินเป็นผู้กำหนด</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าภาษีน้ำมัน ที่สายการบินเรียกเก็บเพิ่ม ภายหลังจากทางบริษัทฯได้ออกตั๋วเครื่องบินไปแล้ว</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; VAT 7% และภาษีหัก ณ ที่จ่าย 3% กรณีต้องการออกใบเสร็จรับเงินในนามบริษัท</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าทิปพนักงานขับรถ หัวหน้าทัวร์ และ มัคคุเทศก์ท้องถิ่น ตามธรรมเนียม 1,500 บาท ต่อ ทริป ต่อ ลูกค้า ผู้เดินทาง 1 ท่าน รวมไปถึงเด็ก ยกเว้นเด็กอายุไม่ถึง 2 ปี ณ วันเดินทางกลับ (Infant) ทั้งนี้ท่านสามารถให้มากกว่านี้ได้ตามความเหมาะสมและความพึงพอใจของท่าน โดยส่วนนี้ ทางบริษัทขอสงวนสิทธิ์ในการเรียกเก็บก่อนเดินทางทุกท่าน ที่สนามบิน ในวันเช็คอิน</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าวีซ่าเดี่ยวและวีซ่ากรุ๊ปเข้าประเทศจีน ** ในกรณีรัฐบาลจีนประกาศยกเลิกฟรีวีซ่า ไม่ว่าด้วยสาเหตุใดๆทั้งสิ้น ผู้เดินทางจะต้องเสียค่าใช้จ่ายในการทำวีซ่าด้วยตนเอง**</p>"
                    condition: "<p>⚠️&nbsp;&nbsp; กรุณาทำการจองล่วงหน้าอย่างน้อย 30 วัน ก่อนออกเดินทาง พร้อมชำระเงินมัดจำครั้งที่ 1 ท่านละ 10,000 บาท หลังจากส่งเอกสารยืนยันการจอง ภายใน 48 ชั่วโมง โดยระบบจะยกเลิกอัตโนมัติทันที หากยังไม่ได้รับยอดเงินตามเวลาที่กำหนด สำหรับรายการใกล้วันเดินทาง หรือรายการลดราคาพิเศษ ทางบริษัทขอสงวนสิทธิ์เรียกเก็บค่าบริการ เต็มจำนวน เท่านั้น</p>\r\n\r\n<p>⚠️&nbsp;&nbsp; กรุณาชำระค่าทัวร์ส่วนที่เหลืออย่างน้อย 20 วัน ก่อนออกเดินทาง หากท่านไม่ชำระภายในระยะเวลาที่บริษัทกำหนด ทางบริษัทจะถือว่าท่านสละสิทธิ์ยกเลิกการเดินทาง และ ขอสงวนสิทธิ์ไม่สามารถคืนเงินมัดจำให้ท่าน ไม่ว่าส่วนใดส่วนหนึ่งก็ตาม</p>\r\n\r\n<p>⚠️&nbsp;&nbsp; กรณีลูกค้าทำการจองภายในระยะเวลาคงเหลือไม่ถึง 15 วัน ก่อนออกเดินทาง ทางบริษัทขอสงวนสิทธิ์ในการเรียกเก็บค่าทัวร์เต็มจำนวน 100%</p>"
                    visa: "<p>* หนังสือเดินทางสัญชาติไทย (Thai Passport) ไม่ต้องใช้วีซ่า</p>\r\n\r\n<p>* หากท่านถือหนังสือเดินทางสัญชาติอื่น โปรดติดต่อเจ้าหน้าที่ฝ่ายขาย</p>"
                    passport: "<p>หนังสือเดินทางไทย มีอายุนับจากวันเดินทางกลับ อายุไม่น้อยกว่า 6 เดือน<br />\r\nกรณีไม่ได้ถือหนังสือเดินทางไทย กรุณาติดต่อฝ่ายขาย</p>"
                    note: ''
                    remark: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                    periods:
                      -
                        id: 16
                        start: '2025-05-28'
                        end: '2025-06-01'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 17
                        start: '2025-06-04'
                        end: '2025-06-08'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '49'
                        expire3: '49'
                        note: ''
                        remark: null
                      -
                        id: 18
                        start: '2025-06-05'
                        end: '2025-06-09'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 19
                        start: '2025-06-11'
                        end: '2025-06-15'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 20
                        start: '2025-06-13'
                        end: '2025-06-17'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 21
                        start: '2025-06-18'
                        end: '2025-06-22'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 22
                        start: '2025-06-20'
                        end: '2025-06-24'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '0'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 23
                        start: '2025-06-25'
                        end: '2025-06-29'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 24
                        start: '2025-06-27'
                        end: '2025-07-01'
                        beforePrice: ''
                        price: '20999'
                        priceAirTicket: '8500'
                        priceForOne: '24899'
                        adultDouble: '20999'
                        adultTriple: '20999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '48'
                        expire3: '48'
                        note: ''
                        remark: null
                      -
                        id: 62
                        start: '2025-07-09'
                        end: '2025-07-13'
                        beforePrice: ''
                        price: '22999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '22999'
                        adultTriple: '22999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 64
                        start: '2025-07-10'
                        end: '2025-07-14'
                        beforePrice: ''
                        price: '22999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '22999'
                        adultTriple: '22999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 65
                        start: '2025-07-26'
                        end: '2025-07-30'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 66
                        start: '2025-08-08'
                        end: '2025-08-12'
                        beforePrice: ''
                        price: '22999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '22999'
                        adultTriple: '22999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 67
                        start: '2025-08-10'
                        end: '2025-08-14'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 68
                        start: '2025-08-27'
                        end: '2025-08-31'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 69
                        start: '2025-09-03'
                        end: '2025-09-07'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 70
                        start: '2025-09-10'
                        end: '2025-09-14'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 71
                        start: '2025-09-17'
                        end: '2025-09-21'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 72
                        start: '2025-09-24'
                        end: '2025-09-28'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 73
                        start: '2025-10-11'
                        end: '2025-10-15'
                        beforePrice: ''
                        price: '22999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '22999'
                        adultTriple: '22999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 74
                        start: '2025-10-15'
                        end: '2025-10-19'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 75
                        start: '2025-10-22'
                        end: '2025-10-26'
                        beforePrice: ''
                        price: '22999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '22999'
                        adultTriple: '22999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                      -
                        id: 76
                        start: '2025-10-29'
                        end: '2025-11-02'
                        beforePrice: ''
                        price: '21999'
                        priceAirTicket: '8500'
                        priceForOne: '25899'
                        adultDouble: '21999'
                        adultTriple: '21999'
                        child: ''
                        childNoBed: ''
                        infant: ''
                        serviceFeeVat: '300'
                        deposit: '10000'
                        comAgent: '1200'
                        comSales: '300'
                        group: '20'
                        join: ''
                        ticketPnr: ''
                        flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                        bus: ''
                        prepdoc: ''
                        expire1: '48'
                        expire2: '24'
                        expire3: '4'
                        note: ''
                        remark: null
                    countries:
                      -
                        name: จีน-ฉงชิ่ง
                        icon: 'https://booking.tourfactory.co.th/backend/uploads/lc_icon_20250429_150741.png'
                    vehicle: 'Sichuan Airlines (3U)'
                    createdAt: '2025-05-22T05:58:32.000000Z'
                    updatedAt: '2025-05-22T05:58:32.000000Z'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 2
                      code:
                        type: string
                        example: TF-CKG3U01
                      name:
                        type: string
                        example: 'TF-CKG3U01 ฉงชิ่ง-อู่หลง-อุทยานหลุมฟ้า-มรดกโลกหน้าผาแกะสลัก 5วัน 4คืน (3U) May-Oct 25 (ไม่ลงร้าน)'
                      highlight:
                        type: string
                        example: "<p>#รวมค่าขึ้นลิฟต์แก้ว&nbsp;#รวมค่าระเบียงแก้ว&nbsp;#รวมนั่งรถไฟทะลุตึก<br />\r\n✅ อุทยานแห่งชาติอู่หลง ดินแดนมรดกโลก งดงามดั่งภาพวาด<br />\r\n✅ อลังการ อุทยานแห่งชาติเทียนเชิงซ่านเฉียว(หลุมฟ้า) ช่องเปิดยักษ์กลางภูผาสุดอัศจรรย์<br />\r\n✅ ตื่นตา 3 สะพานสวรรค์ มรดกโลกทางธรรมชาติระดับ 5A<br />\r\n✅ ท้าความเสียว ระเบียงแก้ว ทางเดินกระจกสูงกว่า 1,200 เมตร<br />\r\n✅ นั่งรถไฟทะลุตึกสูง 19 ชั้น ไอคอนสุดล้ำแห่งฉงชิ่ง<br />\r\n✅ ช้อปปิ้ง ตลาดหงหยาต้ง ตึกไม้โบราณสุดเจิดจรัสริมน้ำ&nbsp;<br />\r\n✅ ชมมรดกโลกผาหินแกะสลักต้าจู๋ อายุนับพันปี<br />\r\n✅ สัมผัสเสน่ห์จีนโบราณที่ เมืองสือปาที</p>"
                      startPeriod:
                        type: string
                        example: ''
                      endPeriod:
                        type: string
                        example: ''
                      fullprice:
                        type: string
                        example: ''
                      price:
                        type: string
                        example: '20999'
                      serviceFee:
                        type: string
                        example: '0'
                      airTicketPrice:
                        type: string
                        example: '0'
                      type:
                        type: string
                        example: Series
                      banner:
                        type: string
                        example: 'https://booking.tourfactory.co.th/backend/uploads/banner_68256d8b2efe7.jpg'
                      pdf:
                        type: string
                        example: 'https://booking.tourfactory.co.th/backend/uploads/682aece4685ac.pdf'
                      word:
                        type: string
                        example: 'https://booking.tourfactory.co.th/backend/uploads/682aece46863c.docx'
                      day:
                        type: integer
                        example: 5
                      night:
                        type: integer
                        example: 4
                      include:
                        type: string
                        example: "<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าบัตรโดยสารโดยเครื่องบิน (ตั๋ว) ไป และ กลับพร้อมคณะ ชั้นประหยัด (ECONOMY CLASS) รวมถึงค่าภาษีสนามบินและค่าภาษีน้ำมันทุกแห่ง กรณีต้องการอัพเกรด UPGRADE ใช้วีลแชร์ (WHEEL CHAIR) หรือ เปลี่ยนแปลงบัตรโดยสาร ไม่ว่าเที่ยวใด เที่ยวหนึ่ง กรุณาติดต่อเจ้าหน้าที่ฝ่ายขาย ทางบริษัทของสงวนสิทธิ์ในการเรียกเก็บค่าใช้จ่ายตามจริงที่เกิดขึ้นกับผู้เดินทาง</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าธรรมเนียมน้ำหนักกระเป๋าสำหรับโหลดใต้ท้องเครื่องไม่เกิน 23 ก.ก. 1 ชิ้นเท่านั้น และถือขึ้นเครื่องบินได้น้ำหนักไม่เกิน 7 ก.ก. ต่อท่าน (ตามเงื่อนไขของสายการบิน)</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ภาษีมูลค่าเพิ่ม 7 % (เฉพาะค่าบริการ) และ ภาษีหัก ณ ที่จ่าย 3 % (เฉพาะค่าบริการ)</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่ารถโค้ชปรับอากาศตลอดเส้นทางตามรายการระบุ (ยังไม่รวมทิปพนักงานขับรถ)</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าเข้าชมสถานที่ตามที่ระบุในโปรแกรมท่องเที่ยว</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; มัคคุเทศก์และหัวหน้าทัวร์นำเที่ยวตลอดการเดินทาง</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าอาหาร ตามรายการที่ระบุในโปรแกรมการเดินทาง</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ค่าโรงแรมที่พักระดับมาตรฐานตามรายการที่ระบุ (พัก 2-3 ท่าน ต่อ ห้อง กรณีพัก 3 ท่านจะเป็นเตียงเสริม 1 ท่าน) ในกรณีมีงานเทรดแฟร์ การแข่งขันกีฬา หรือ กิจกรรมอื่นๆ ที่ทำให้โรงแรมตามรายการที่ระบุเต็ม ทางบริษัทขอสงวนสิทธิ์ในการปรับเปลี่ยนโรงแรมที่พัก ทางบริษัทไม่มีนโยบายจัดคู่นอนให้กับลูกค้าที่ไม่รู้จักกันมาก่อน เช่น กรณีที่ท่านเดินทาง 1 ท่าน จำเป็นต้องชำระค่าห้องพักเดี่ยวตามที่ระบุ</p>\r\n\r\n<p>✅&nbsp;&nbsp;&nbsp;&nbsp; ประกันอุบัติเหตุระหว่างการเดินทาง วงเงินท่านละ 1,000,000 บาท (เงื่อนไขตามกรมธรรม์)</p>"
                      notInclude:
                        type: string
                        example: "<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่ามินิบาร์ในห้องพัก(ถ้ามี) และค่าใช้จ่ายส่วนตัว นอกเหนือจากที่ระบุในรายการ</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าอาหารสำหรับท่านที่ทานเจ มังสวิรัติ หรืออาหารสำหรับมุสลิม</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าธรรมเนียมการเข้าชมสถานที่ของชาวต่างชาติที่เพิ่มเติมตามการจ่ายจริง</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ไม่รวมค่าธรรมเนียมในกรณีที่กระเป๋าสัมภาระที่มีน้ำหนักเกินกว่าที่สายการบินนั้นๆกำหนดหรือสัมภาระใหญ่เกินขนาดมาตรฐาน</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าธรรมเนียมการจองที่นั่งบนเครื่องบินตามความต้องการเป็นกรณีพิเศษหากสามารถทำได้ ทั้งนี้ขึ้นอยู่กับสายการบิน และ รุ่นของเครื่องบินแต่ละไฟล์ทที่ใช้บิน ซึ่งอาจเปลี่ยนแปลงได้อยู่ที่สายการบินเป็นผู้กำหนด</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าภาษีน้ำมัน ที่สายการบินเรียกเก็บเพิ่ม ภายหลังจากทางบริษัทฯได้ออกตั๋วเครื่องบินไปแล้ว</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; VAT 7% และภาษีหัก ณ ที่จ่าย 3% กรณีต้องการออกใบเสร็จรับเงินในนามบริษัท</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าทิปพนักงานขับรถ หัวหน้าทัวร์ และ มัคคุเทศก์ท้องถิ่น ตามธรรมเนียม 1,500 บาท ต่อ ทริป ต่อ ลูกค้า ผู้เดินทาง 1 ท่าน รวมไปถึงเด็ก ยกเว้นเด็กอายุไม่ถึง 2 ปี ณ วันเดินทางกลับ (Infant) ทั้งนี้ท่านสามารถให้มากกว่านี้ได้ตามความเหมาะสมและความพึงพอใจของท่าน โดยส่วนนี้ ทางบริษัทขอสงวนสิทธิ์ในการเรียกเก็บก่อนเดินทางทุกท่าน ที่สนามบิน ในวันเช็คอิน</p>\r\n\r\n<p>❌&nbsp;&nbsp;&nbsp;&nbsp; ค่าวีซ่าเดี่ยวและวีซ่ากรุ๊ปเข้าประเทศจีน ** ในกรณีรัฐบาลจีนประกาศยกเลิกฟรีวีซ่า ไม่ว่าด้วยสาเหตุใดๆทั้งสิ้น ผู้เดินทางจะต้องเสียค่าใช้จ่ายในการทำวีซ่าด้วยตนเอง**</p>"
                      condition:
                        type: string
                        example: "<p>⚠️&nbsp;&nbsp; กรุณาทำการจองล่วงหน้าอย่างน้อย 30 วัน ก่อนออกเดินทาง พร้อมชำระเงินมัดจำครั้งที่ 1 ท่านละ 10,000 บาท หลังจากส่งเอกสารยืนยันการจอง ภายใน 48 ชั่วโมง โดยระบบจะยกเลิกอัตโนมัติทันที หากยังไม่ได้รับยอดเงินตามเวลาที่กำหนด สำหรับรายการใกล้วันเดินทาง หรือรายการลดราคาพิเศษ ทางบริษัทขอสงวนสิทธิ์เรียกเก็บค่าบริการ เต็มจำนวน เท่านั้น</p>\r\n\r\n<p>⚠️&nbsp;&nbsp; กรุณาชำระค่าทัวร์ส่วนที่เหลืออย่างน้อย 20 วัน ก่อนออกเดินทาง หากท่านไม่ชำระภายในระยะเวลาที่บริษัทกำหนด ทางบริษัทจะถือว่าท่านสละสิทธิ์ยกเลิกการเดินทาง และ ขอสงวนสิทธิ์ไม่สามารถคืนเงินมัดจำให้ท่าน ไม่ว่าส่วนใดส่วนหนึ่งก็ตาม</p>\r\n\r\n<p>⚠️&nbsp;&nbsp; กรณีลูกค้าทำการจองภายในระยะเวลาคงเหลือไม่ถึง 15 วัน ก่อนออกเดินทาง ทางบริษัทขอสงวนสิทธิ์ในการเรียกเก็บค่าทัวร์เต็มจำนวน 100%</p>"
                      visa:
                        type: string
                        example: "<p>* หนังสือเดินทางสัญชาติไทย (Thai Passport) ไม่ต้องใช้วีซ่า</p>\r\n\r\n<p>* หากท่านถือหนังสือเดินทางสัญชาติอื่น โปรดติดต่อเจ้าหน้าที่ฝ่ายขาย</p>"
                      passport:
                        type: string
                        example: "<p>หนังสือเดินทางไทย มีอายุนับจากวันเดินทางกลับ อายุไม่น้อยกว่า 6 เดือน<br />\r\nกรณีไม่ได้ถือหนังสือเดินทางไทย กรุณาติดต่อฝ่ายขาย</p>"
                      note:
                        type: string
                        example: ''
                      remark:
                        type: string
                        example: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                      periods:
                        type: array
                        example:
                          -
                            id: 16
                            start: '2025-05-28'
                            end: '2025-06-01'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 17
                            start: '2025-06-04'
                            end: '2025-06-08'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '49'
                            expire3: '49'
                            note: ''
                            remark: null
                          -
                            id: 18
                            start: '2025-06-05'
                            end: '2025-06-09'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 19
                            start: '2025-06-11'
                            end: '2025-06-15'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 20
                            start: '2025-06-13'
                            end: '2025-06-17'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 21
                            start: '2025-06-18'
                            end: '2025-06-22'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 22
                            start: '2025-06-20'
                            end: '2025-06-24'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '0'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 23
                            start: '2025-06-25'
                            end: '2025-06-29'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 24
                            start: '2025-06-27'
                            end: '2025-07-01'
                            beforePrice: ''
                            price: '20999'
                            priceAirTicket: '8500'
                            priceForOne: '24899'
                            adultDouble: '20999'
                            adultTriple: '20999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '48'
                            expire3: '48'
                            note: ''
                            remark: null
                          -
                            id: 62
                            start: '2025-07-09'
                            end: '2025-07-13'
                            beforePrice: ''
                            price: '22999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '22999'
                            adultTriple: '22999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 64
                            start: '2025-07-10'
                            end: '2025-07-14'
                            beforePrice: ''
                            price: '22999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '22999'
                            adultTriple: '22999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 65
                            start: '2025-07-26'
                            end: '2025-07-30'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 66
                            start: '2025-08-08'
                            end: '2025-08-12'
                            beforePrice: ''
                            price: '22999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '22999'
                            adultTriple: '22999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 67
                            start: '2025-08-10'
                            end: '2025-08-14'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 68
                            start: '2025-08-27'
                            end: '2025-08-31'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 69
                            start: '2025-09-03'
                            end: '2025-09-07'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 70
                            start: '2025-09-10'
                            end: '2025-09-14'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 71
                            start: '2025-09-17'
                            end: '2025-09-21'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 72
                            start: '2025-09-24'
                            end: '2025-09-28'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 73
                            start: '2025-10-11'
                            end: '2025-10-15'
                            beforePrice: ''
                            price: '22999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '22999'
                            adultTriple: '22999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 74
                            start: '2025-10-15'
                            end: '2025-10-19'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 75
                            start: '2025-10-22'
                            end: '2025-10-26'
                            beforePrice: ''
                            price: '22999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '22999'
                            adultTriple: '22999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                          -
                            id: 76
                            start: '2025-10-29'
                            end: '2025-11-02'
                            beforePrice: ''
                            price: '21999'
                            priceAirTicket: '8500'
                            priceForOne: '25899'
                            adultDouble: '21999'
                            adultTriple: '21999'
                            child: ''
                            childNoBed: ''
                            infant: ''
                            serviceFeeVat: '300'
                            deposit: '10000'
                            comAgent: '1200'
                            comSales: '300'
                            group: '20'
                            join: ''
                            ticketPnr: ''
                            flight: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus: ''
                            prepdoc: ''
                            expire1: '48'
                            expire2: '24'
                            expire3: '4'
                            note: ''
                            remark: null
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 16
                            start:
                              type: string
                              example: '2025-05-28'
                            end:
                              type: string
                              example: '2025-06-01'
                            beforePrice:
                              type: string
                              example: ''
                            price:
                              type: string
                              example: '21999'
                            priceAirTicket:
                              type: string
                              example: '8500'
                            priceForOne:
                              type: string
                              example: '25899'
                            adultDouble:
                              type: string
                              example: '21999'
                            adultTriple:
                              type: string
                              example: '21999'
                            child:
                              type: string
                              example: ''
                            childNoBed:
                              type: string
                              example: ''
                            infant:
                              type: string
                              example: ''
                            serviceFeeVat:
                              type: string
                              example: '300'
                            deposit:
                              type: string
                              example: '10000'
                            comAgent:
                              type: string
                              example: '1200'
                            comSales:
                              type: string
                              example: '300'
                            group:
                              type: string
                              example: '20'
                            join:
                              type: string
                              example: ''
                            ticketPnr:
                              type: string
                              example: ''
                            flight:
                              type: string
                              example: 'BKK-CKG 3U3772 / 19.20-23.40 >> CKG-BKK 3U3771 / 16.05-18.20'
                            bus:
                              type: string
                              example: ''
                            prepdoc:
                              type: string
                              example: ''
                            expire1:
                              type: string
                              example: '48'
                            expire2:
                              type: string
                              example: '48'
                            expire3:
                              type: string
                              example: '48'
                            note:
                              type: string
                              example: ''
                            remark:
                              type: string
                              example: null
                              nullable: true
                      countries:
                        type: array
                        example:
                          -
                            name: จีน-ฉงชิ่ง
                            icon: 'https://booking.tourfactory.co.th/backend/uploads/lc_icon_20250429_150741.png'
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              example: จีน-ฉงชิ่ง
                            icon:
                              type: string
                              example: 'https://booking.tourfactory.co.th/backend/uploads/lc_icon_20250429_150741.png'
                      vehicle:
                        type: string
                        example: 'Sichuan Airlines (3U)'
                      createdAt:
                        type: string
                        example: '2025-05-22T05:58:32.000000Z'
                      updatedAt:
                        type: string
                        example: '2025-05-22T05:58:32.000000Z'
        404:
          description: 'Program Tour not found'
          content:
            application/json:
              schema:
                type: object
                example:
                  message: 'Program Tour not found.'
                properties:
                  message:
                    type: string
                    example: 'Program Tour not found.'
      tags:
        - 'Program Tours'
      security: []
    parameters:
      -
        in: path
        name: programtour_pt_id
        description: 'The ID of the programtour pt.'
        example: 16
        required: true
        schema:
          type: integer
      -
        in: path
        name: id
        description: 'The ID of the program tour.'
        example: 16
        required: true
        schema:
          type: integer
